<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema xmlns:aggProt="http://insiel.it/protocollo/schemixsd/aggiornaProtocollo"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
xmlns:tgen="http://insiel.it/protocollo/schemixsd/tipiGenerali"
targetNamespace="http://insiel.it/protocollo/schemixsd/aggiornaProtocollo"
elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://insiel.it/protocollo/schemixsd/tipiGenerali" schemaLocation="tipiGenerali.xsd"/>
		<xs:element name="AggiornamentoProtocolloResponse">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="errore" type="tgen:Errore" minOccurs="0"/>
			</xs:sequence>
			<xs:attribute name="esito" type="xs:boolean" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="AggiornamentoProtocolloRequest">
		<xs:complexType>
			<xs:all>
				<xs:element name="utente" type="tgen:Utente"/>
				<xs:element name="registrazione" type="tgen:ProtocolloRequest"/>
				<xs:element name="oggetto" type="tgen:oggetto" minOccurs="0"/>
				<xs:element name="mittenti" type="aggProt:MittentiAgg" minOccurs="0"/>
				<xs:element name="destinatari" type="aggProt:DestinatariAgg" minOccurs="0"/>
				<xs:element name="uffici" type="aggProt:UfficiAgg" minOccurs="0"/>
				<xs:element name="documenti" type="aggProt:DocumentiAgg" minOccurs="0"/>
				<xs:element name="classifiche" type="aggProt:ClassificheAgg" minOccurs="0"/>
				<xs:element name="estremiDocumento" type="tgen:EstremiDocumento" minOccurs="0"/>
				<xs:element name="dataRicezioneSpedizione" type="xs:dateTime" minOccurs="0"/>
				<xs:element name="tipoMittenteMail" type="tgen:tipoMittenteMail" minOccurs="0"/>
				<xs:element name="pratiche" type="aggProt:PraticheAgg" minOccurs="0"/>
				<xs:element name="provvedimento" type="tgen:EstremiProvvedimento" minOccurs="0"/>
				<xs:element name="precedenti" type="aggProt:PrecedentiAgg" minOccurs="0"/>
				<xs:element name="oggettoProtocollo" type="tgen:oggetto" minOccurs="0"/>
				<xs:element name="codiceUfficioOperante" type="xs:string" minOccurs="0"/>
			</xs:all>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="ClassificheAgg">
		<xs:sequence>
			<xs:element name="classifica" type="aggProt:ClassificaAgg" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="_virtual" type="xs:boolean" minOccurs="0"/>
		</xs:sequence>
		<xs:attribute name="statoParziale" type="xs:boolean"/>
	</xs:complexType>
	<xs:complexType name="ClassificaAgg">
		<xs:complexContent>
			<xs:extension base="tgen:Classifica">
				<xs:attribute name="elimina" type="xs:boolean"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="MittentiAgg">
		<xs:sequence>
			<xs:element name="mittente" type="aggProt:MittenteAgg" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="_virtual" type="xs:boolean" minOccurs="0"/>
		</xs:sequence>
		<xs:attribute name="statoParziale" type="xs:boolean"/>
	</xs:complexType>
	<xs:complexType name="MittenteAgg">
		<xs:complexContent>
			<xs:extension base="tgen:MittenteInsProto">
				<xs:attribute name="elimina" type="xs:boolean"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="DestinatariAgg">
		<xs:sequence>
			<xs:element name="destinatario" minOccurs="0" maxOccurs="unbounded">
				<xs:complexType>
					<xs:complexContent>
						<xs:extension base="aggProt:DestinatarioAgg"/>
					</xs:complexContent>
				</xs:complexType>
			</xs:element>
			<xs:element name="_virtual" type="xs:boolean" minOccurs="0"/>
		</xs:sequence>
		<xs:attribute name="statoParziale" type="xs:boolean"/>
	</xs:complexType>
	<xs:complexType name="DestinatarioAgg">
		<xs:complexContent>
			<xs:extension base="tgen:DestinatarioIOPInsProto">
				<xs:attribute name="elimina" type="xs:boolean"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="UfficiAgg">
		<xs:sequence>
			<xs:element name="uffici" type="aggProt:UfficioAgg" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="_virtual" type="xs:boolean" minOccurs="0"/>
		</xs:sequence>
		<xs:attribute name="statoParziale" type="xs:boolean"/>
	</xs:complexType>
	<xs:complexType name="UfficioAgg">
		<xs:complexContent>
			<xs:extension base="tgen:UfficioInsProto">
				<xs:attribute name="elimina" type="xs:boolean"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="DocumentiAgg">
		<xs:sequence>
			<xs:element name="documenti" type="aggProt:DocumentoAgg" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="_virtual" type="xs:boolean" minOccurs="0"/>
		</xs:sequence>
		<xs:attribute name="statoParziale" type="xs:boolean"/>
	</xs:complexType>
	<xs:complexType name="DocumentoAgg">
		<xs:sequence>
			<xs:element name="id" type="xs:string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>abbigatorio in inserimento</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="nome" type="xs:string" minOccurs="0">
				<xs:annotation>
					<xs:documentation>abbigatorio in inserimento</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="isPrimario" type="xs:boolean" minOccurs="0">
				<xs:annotation>
					<xs:documentation>abbigatorio in inserimento se iop</xs:documentation>
				</xs:annotation>
			</xs:element>
			<xs:element name="idDoc" type="xs:long" minOccurs="0">
				<xs:annotation>
					<xs:documentation>facoltativo in eliminazione in altrenativa al nome</xs:documentation>
				</xs:annotation>
			</xs:element>
		</xs:sequence>
		<xs:attribute name="elimina" type="xs:boolean"/>
	</xs:complexType>
	<xs:complexType name="PraticheAgg">
		<xs:sequence>
			<xs:element name="pratica" type="aggProt:PraticaAgg" minOccurs="0" maxOccurs="unbounded"/>
			<xs:element name="_virtual" type="xs:boolean" minOccurs="0"/>
		</xs:sequence>
		<xs:attribute name="statoParziale" type="xs:boolean"/>
	</xs:complexType>
	<xs:complexType name="PraticaAgg">
		<xs:complexContent>
			<xs:extension base="tgen:PraticaRequest">
				<xs:attribute name="elimina" type="xs:boolean"/>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
	<xs:complexType name="PrecedentiAgg">
		<xs:sequence>
			<xs:element name="PrecedenteAgg" minOccurs="0" maxOccurs="unbounded">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="precedente" type="tgen:ProtocolloRequest"/>
						<xs:element name="tipoLegame" type="xs:string"/>
						<xs:element name="elimina" type="xs:boolean" minOccurs="0"/>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:choice>
				<xs:element name="statoParziale" type="xs:boolean"/>
				<xs:element name="statoGlobale" type="xs:boolean"/>
			</xs:choice>
		</xs:sequence>
	</xs:complexType>
</xs:schema>
